This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 824370 - [RFE]: treeview should be sortable alphabetically
[RFE]: treeview should be sortable alphabetically
Status: ASSIGNED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.0
Unspecified Unspecified
high Severity high
: ---
: 4.0
Assigned To: Yang Ren
tools-bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 07:08 EDT by Vladimir Benes
Modified: 2016-06-23 00:35 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 01:52:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-05-23 07:08:54 EDT
Description of problem:
when huge tree view is shown there is no possibility to sort it by test plan name.
see this for example:
https://tcms.engineering.redhat.com/plan/5517/#treeview

there should be option to sort via test plan id and test plan name as use search for every possible item is not user friendly

Version-Release number of selected component (if applicable):
Nitrate 3.7.0

How reproducible:
100%

Steps to Reproduce:
1.create parent test plan
2.create a bunch of test plans as children..use random names
3.search for one particular with using search in firefox
  
Actual results:
children are sorted by creation date (test plan id)

Expected results:
option to sort alphabetically should be added

Additional info:
Comment 1 Chaobin Tang 2012-06-07 01:52:53 EDT
Not necessary for now viewing there is no such big tree present.
Comment 2 Vladimir Benes 2012-06-07 05:09:20 EDT
(In reply to comment #1)
> Not necessary for now viewing there is no such big tree present.

is it really needed to close this bug? We plan to have all desktop components in one tree (~ 700) I was forced to create some branches but it may happen that more than 50 will be in one branch. Please keep in mind that the tree is still not complete just search in it is a bit difficult now and will be even worse later on.

see:
https://tcms.engineering.redhat.com/plan/5517/#treeview

and go into KDE or GNOME branch.. there are more than one page of children in it.

I think alphabetical ordering is even more appropriate than ordering by numbers in such case.
Comment 3 yawei Li 2012-06-11 01:12:55 EDT
We will consider to implement it on TCMS 4.0.
The default order should be ID descending, as most of the user need it. We can consider a button to sort the plan by alphabetic.

Note You need to log in before you can comment on or make changes to this bug.